VNC 4.0 Beta 3

Jeff Boerio boerio@ichips.intel.com
Tue Jul 29 22:09:54 2003


I have gotten the  sources to build on Red Hat 7.1 for both Pentium and
Itanium platforms.  gcc 2.96 is what I used successfully for both.  I
was NOT able to do this with gcc 3.x and have reported the feedback to
Real VNC.

I also have not been successful at all with HP-UX compiles (don't have
gcc 2.9x for HP).  I haven't tried Solaris yet.

     - Jeff

On Tue, 2003-07-29 at 11:00, William Hooper wrote:
> Jerry McBride said:
> > I'm having compile problems with the unix sources on Gentoo 1.4. I'm
> > running
> > the latest "stable" versions of just about everything... including gcc
> > 3.2.3.
> >
> > The relavent error follows:
> >
> > spinner vnc-4.0b3-unixsrc # make
> [snip]
> > make[1]: Entering directory `/vnc4/vnc-4.0b3-unixsrc/x0vncserver'
> > g++   -I..  -I/usr/X11R6/include  -O2 -Wall -c Image.cxx
> > In file included from Image.cxx:29:
> > Image.h:27: conflicting types for `struct XShmSegmentInfo'
> > /usr/X11R6/include/X11/extensions/XShm.h:70: previous declaration as
> > `typedef
> >    struct XShmSegmentInfo XShmSegmentInfo'
> > make[1]: *** [Image.o] Error 1
> > make[1]: Leaving directory `/vnc4/vnc-4.0b3-unixsrc/x0vncserver'
> > make: *** [all] Error 1
> >
> > spinner vnc-4.0b3-unixsrc #
> 
> Ditto on my copy of Red Hat 9 (gcc 3.2.2).  I haven't got the chance to
> try on a Red Hat 7.3 machine yet, or do any troubleshooting.